<?php function sonar_wp_head() {
    /* sonar_wp_head is called as a result of the add_action('wp_head', 'sonar_wp_head') call at the end of this file.
	This is really where almost all of the real work of this theme gets done. Essentially, this function outputs 
	<style> overrides of style.css to give the custom look as defined by the user.
    */
    global $sonar_options;
	$sonar_options = get_option('sonar_theme_options');
	global $sonar_themename, $sonar_shortname, $sonar_version, $sonar_settings, $sonar_option_group, $sonar_option_name;	// need these globals 
	     
?>	
<style type="text/css">
<?php
    // depending on what options we've set from the admin panel, we will emit various bits of CSS in the output

	/* options to change the menu bar colors */
	$optColor = ($sonar_options['sonar_menubar_color']);
	if ( isset ($sonar_options['sonar_menubar_color']) &&  ($sonar_options['sonar_menubar_color'] !="#292929") ) {
	echo ("#access {background-color: $optColor;}\n");
	}

	if ( isset ($sonar_options['sonar_normal_menu_text'])) {
		echo("#access .menu-header, div.menu {font-weight: normal;}\n");
	}

	$optColor = ($sonar_options['sonar_menubar_hoverbg_color']);
	if ( isset ($sonar_options['sonar_menubar_hoverbg_color']) &&  ($sonar_options['sonar_menubar_hoverbg_color'] !="#333333") ) {
		echo ("#access li a:hover, #access ul ul a:hover{background-color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_menubar_dropbg_color']);
	if ( isset ($sonar_options['sonar_menubar_dropbg_color']) &&  ($sonar_options['sonar_menubar_dropbg_color'] !="#444444") ) { 
		echo("#access ul ul a{background-color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_menubar_text_color']);
	if ( isset ($sonar_options['sonar_menubar_text_color']) &&  ($sonar_options['sonar_menubar_text_color'] !="#AAAAAA") ) {
		echo ("#access a {color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_menubar_hover_color']);
	if ( isset ($sonar_options['sonar_menubar_hover_color'])&&  ($sonar_options['sonar_menubar_hover_color'] !="#FFFFFF") ) {
		echo ("#access li a:hover, #access ul ul a:hover{color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_menubar_curpage_color']);
	if ( isset ($sonar_options['sonar_menubar_curpage_color'])&&  ($sonar_options['sonar_menubar_curpage_color'] !="#53A4E6") ) {
		echo("#access ul li.current_page_item a, #access ul li.current-menu-ancestor a, #access ul li.current-menu-item a, 
		#access ul li.current-menu-parent a {color: $optColor;}\n");
	}

	// SuperFish menu effects
	if ( isset ($sonar_options['sonar_remove_superfish']) &&  ($sonar_options['sonar_remove_superfish']!="") ) {
		echo("#access a{ padding-left: 10px; padding-right: 10px} \n"); // Have to fix the padding missing from style.css
	}
	else {
		echo(".sf-menu a.sf-with-ul { padding-right: 2.25em;} \n");
		echo("#access a{ line-height: 30px;} \n");
	}

	$img_SuperFish = get_template_directory_uri() . '/js/superfish/images/';      
	$imgoption = ($sonar_options['sonar_superfish_arrow_color']);
	if ( isset ($sonar_options['sonar_superfish_arrow_color'])) { 
	    echo (".sf-sub-indicator{ background: url(");
		echo ("$img_SuperFish");
		echo ("$imgoption.png);}\n"); 
    }

	$img_Menu = get_template_directory_uri() . '/images/';      
	$imgoption = ($sonar_options['sonar_menu_remove_fade']);
	if ( isset ($sonar_options['sonar_menu_remove_fade']) &&  ($sonar_options['sonar_menu_remove_fade']!="None") ) {
		echo ("#access, #access li:hover  a{ background-image: url(");
		echo ("$img_Menu");
		echo ("$imgoption.png);}\n");
	}

	// Title and discription
	$optColor = ($sonar_options['sonar_title_color']);
	if ( isset ($sonar_options['sonar_title_color'])&&  ($sonar_options['sonar_title_color'] !="#FFFFFF") ) {
		echo("#site-title a { color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_description_color']);
	if ( isset ($sonar_options['sonar_description_color'])&&  ($sonar_options['sonar_description_color'] !="#53A4E6") ) {
		echo("#site-description{ color: $optColor;}\n");
	}
	
	$usefont = ($sonar_options['sonar_title_description_font']);
	if ( isset ($sonar_options['sonar_title_description_font'])&&  ($sonar_options['sonar_title_description_font'] !="Default-Droid+Serif") ) {
		echo("#site-title, #site-description { font-family: $usefont;}\n");
	}
	
	if ( isset ($sonar_options['sonar_hide_site_title'])) {
		echo("#branding {margin-top: 0px;}\n");
		echo("#site-description, #site-title { visibility:hidden; }\n");
	}
	
	if ( isset ($sonar_options['sonar_remove_header_search'])) {
		echo("h1#site-title {margin-top: 20px;}\n");
	}
	// ************************************************** General Appearance


	$optColor = ($sonar_options['sonar_body_bgcolor']);
	if ( isset ($sonar_options['sonar_body_bgcolor'])&&  ($sonar_options['sonar_body_bgcolor'] !="#53A4E6") ) {
		echo("body{ background-color: $optColor;}\n");
	}

	if ( isset ($sonar_options['sonar_remove_default_background']) &&  ($sonar_options['sonar_remove_default_background']!="") ) {
		echo("body{ background-image: none;}\n");
	}

	// Content Links
	$optColor = ($sonar_options['sonar_link_color']);
	if ( isset ($sonar_options['sonar_link_color'])&&  ($sonar_options['sonar_link_color'] !="#044085") ) {
		echo("a:link{ color: $optColor;}\n");
		echo(".entry-meta a, .entry-utility a{ color: #888;}\n");
		echo(".pagination a{ color: #FFF;}\n");
	}

	$optColor = ($sonar_options['sonar_link_visited_color']);
	if ( isset ($sonar_options['sonar_link_visited_color'])&&  ($sonar_options['sonar_link_visited_color'] !="#0773F0") ) {
		echo("a:visited{ color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_link_hover_color']);
	if ( isset ($sonar_options['sonar_link_hover_color'])&&  ($sonar_options['sonar_link_hover_color'] !="#0662CC") ) {
		echo("a:hover{ color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_content_title_link_color']);
	if ( isset ($sonar_options['sonar_content_title_link_color'])&&  ($sonar_options['sonar_content_title_link_color'] !="#000000") ) {
		echo(".entry-title a:link,.entry-title a:visited{ color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_content_title_hover_color']);
	if ( isset ($sonar_options['sonar_content_title_hover_color'])&&  ($sonar_options['sonar_content_title_hover_color'] !="#0773F0") ) {
		echo(".entry-title a:active,.entry-title a:hover{ color: $optColor;}\n");
	}
	
	$usefont = ($sonar_options['sonar_content_area_font']);
	if ( isset ($sonar_options['sonar_content_area_font'])&&  ($sonar_options['sonar_content_area_font'] !="Arial, sans-serif") ) {
		echo("body, input, textarea, .page-title span, .pingback a.url { font-family: $usefont;}\n");
	}

	// Content bullets
	$img_Bullet = get_template_directory_uri() . '/images/bullets/';      
	$val = ($sonar_options['sonar_content_bullet_color']);
	if ($val == 'none' || $val == 'circle' || $val == 'disc' || $val == 'square'|| $val == 'default'){
	    echo("ul {list-style:$val;}\n");
	} else {
	    echo ("ul{list-style:none;list-style-image: url(");
		echo ("$img_Bullet");
		echo ("$val.gif);}\n"); 
    }
	
	// Post calendar
	$optColor = ($sonar_options['sonar_calendar_border_color']);
	if ( isset ($sonar_options['sonar_calendar_border_color'])&&  ($sonar_options['sonar_calendar_border_color'] !="#555555") ) {
		echo(".calendar{ border: 1px solid $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_calendar_month_BG_color']);
	if ( isset ($sonar_options['sonar_calendar_month_BG_color'])&&  ($sonar_options['sonar_calendar_month_BG_color'] !="#53A4E6") ) {
		echo(".calendar .month{ background-color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_calendar_day_text_color']);
	if ( isset ($sonar_options['sonar_calendar_day_text_color'])&&  ($sonar_options['sonar_calendar_day_text_color'] !="#000000") ) {
		echo(".calendar .day{ color: $optColor;}\n");
	}
	
	$optColor = ($sonar_options['sonar_calendar_day_BG_color']);
	if ( isset ($sonar_options['sonar_calendar_day_BG_color'])&&  ($sonar_options['sonar_calendar_day_BG_color'] !="#F6F6F6") ) {
		echo(".calendar .day{ background-color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_calendar_month_text_color']);
	if ( isset ($sonar_options['sonar_calendar_month_text_color'])&&  ($sonar_options['sonar_calendar_month_text_color'] !="#FFFFFF") ) {
		echo(".calendar .month{ color: $optColor;}\n");
	}


	$optColor = ($sonar_options['sonar_aside_post_BG_color']);
	if ( isset ($sonar_options['sonar_aside_post_BG_color'])&&  ($sonar_options['sonar_aside_post_BG_color'] !="#D2E9FA") ) {
		echo(".home .hentry.format-aside, .home .hentry.category-asides{ background-color: $optColor;}\n");
	}
	
	$optColor = ($sonar_options['sonar_sticky_post_BG_color']);
	if ( isset ($sonar_options['sonar_sticky_post_BG_color'])&&  ($sonar_options['sonar_sticky_post_BG_color'] !="#D2E9FA") ) {
		echo(".home .sticky { background-color: $optColor;}\n");
	}
	
	if ( isset ($sonar_options['sonar_posted_on_in']) &&  ($sonar_options['sonar_posted_on_in']!="") ) {
		echo(".entry-meta, .entry-utility { display: none;} .post{ border-bottom: 1px solid #B0B0B0;}\n");
	}
	
	//*********************************************************** Sidebar

	$optColor = ($sonar_options['sonar_widget_title_bgcolor']);
	if ( isset ($sonar_options['sonar_widget_title_bgcolor'])&&  ($sonar_options['sonar_widget_title_bgcolor'] !="#53A4E6") ) {
		echo("h3.widget-title{ background-color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_widget_title_txtcolor']);
	if ( isset ($sonar_options['sonar_widget_title_txtcolor'])&&  ($sonar_options['sonar_widget_title_txtcolor'] !="#FFFFFF") ) {
		echo("h3.widget-title{ color: $optColor;}\n");
	}

	if ( isset ($sonar_options['sonar_remove_title_gradients']) &&  ($sonar_options['sonar_remove_title_gradients']!="") ) {
		echo("h3.widget-title{background-image: none;}\n");
	}

	// Sidebar bullets 
	$img_Bullet = get_template_directory_uri() . '/images/bullets/';      
	$val = ($sonar_options['sonar_widget_bullet_color']);
	if ($val && $val != '' && $val != 'default') {
	if ($val == 'none' || $val == 'circle' || $val == 'disc' || $val == 'square')
	    echo(".widget-area ul ul  {list-style:$val;}\n");
	else 
	    echo (".widget-area ul ul {list-style:none;list-style-image: url(");
		echo ("$img_Bullet");
		echo ("$val.gif);}\n"); 
    }

	//*********************************************************** Comments

	$optColor = ($sonar_options['sonar_avatar_border_color']);
	if ( isset ($sonar_options['sonar_avatar_border_color'])&&  ($sonar_options['sonar_avatar_border_color'] !="#C4C4C4") ) {
		echo(".commentlist .avatar{ border: 1px solid $optColor;}\n");
	}
	
	$optColor = ($sonar_options['sonar_reply_bubble_text_color']);
	if ( isset ($sonar_options['sonar_reply_bubble_text_color'])&&  ($sonar_options['sonar_reply_bubble_text_color'] !="#53A4E6") ) {
		echo(".comments-link-top a { color: $optColor !important;}\n");
	}
	
	$optColor = ($sonar_options['sonar_reply_bubble_text_hover_color']);
	if ( isset ($sonar_options['sonar_reply_bubble_text_hover_color'])&&  ($sonar_options['sonar_reply_bubble_text_hover_color'] !="#0773F0") ) {
		echo(".comments-link-top a:hover{ color: $optColor !important;}\n");
	}

	
	//*********************************************************** Footer
	$optColor = ($sonar_options['sonar_footer_color']);
	if ( isset ($sonar_options['sonar_footer_color'])&&  ($sonar_options['sonar_footer_color'] !="#FFFFFF") ) {
		echo("#colophon { background-color: $optColor;}\n");
	}

	if ( isset ($sonar_options['sonar_hide_wp_link']) &&  ($sonar_options['sonar_hide_wp_link']!="") ) {
		echo("#site-generator{display:none;}\n");
	}
	
	//************************************************************ Pagination
	$optColor = ($sonar_options['sonar_pagination_text_color']);
	if ( isset ($sonar_options['sonar_pagination_text_color'])&&  ($sonar_options['sonar_pagination_text_color'] !="#FFFFFF") ) {
		echo(".pagination span, .pagination a { color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_pagination_bg_color']);
	if ( isset ($sonar_options['sonar_pagination_bg_color'])&&  ($sonar_options['sonar_pagination_bg_color'] !="#888888") ) {
		echo(".pagination span, .pagination a { background-color: $optColor;}\n");
	}
	
	$optColor = ($sonar_options['sonar_pagination_hover_text_color']);
	if ( isset ($sonar_options['sonar_pagination_hover_text_color'])&&  ($sonar_options['sonar_pagination_hover_text_color'] !="#FFFFFF") ) {
		echo(".pagination a:hover{ color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_pagination_hover_bg_color']);
	if ( isset ($sonar_options['sonar_pagination_hover_bg_color'])&&  ($sonar_options['sonar_pagination_hover_bg_color'] !="#53A4E6") ) {
		echo(".pagination a:hover{ background-color: $optColor;}\n");
	}
	
	$optColor = ($sonar_options['sonar_pagination_current_text_color']);
	if ( isset ($sonar_options['sonar_pagination_current_text_color'])&&  ($sonar_options['sonar_pagination_current_text_color'] !="#FFFFFF") ) {
		echo(".pagination .current{ color: $optColor;}\n");
	}

	$optColor = ($sonar_options['sonar_pagination_current_bg_color']);
	if ( isset ($sonar_options['sonar_pagination_current_bg_color'])&&  ($sonar_options['sonar_pagination_current_bg_color'] !="#53A4E6") ) {
		echo(".pagination .current{ background-color: $optColor;}\n");
	}
?></style><!-- end of style section -->

<?php // **************** Custom CSS set by the user 
if ( isset ($sonar_options['sonar_header_css']) &&  ($sonar_options['sonar_header_css']!="") ) {
	$output = '<style type="text/css">'."\n";
	$output .= $sonar_options['sonar_header_css'] . "\n";
	$output .= '</style><!-- end of custom css -->'."\n";
	echo stripslashes($output);
}
// ************ Adding Google Analytics 

if ( isset ($sonar_options['sonar_google_analytics']) &&  ($sonar_options['sonar_google_analytics']!="") ) {
	$output = '<script type="text/javascript">'."\n";
	$output .= $sonar_options['sonar_google_analytics'] . "\n";
	$output .= '</script><!-- end of analytics -->'."\n";
	echo stripslashes($output);
}


// Rounded corners for versions of Internet Explorer latter than 8 CSS3-PIE
if ( isset ($sonar_options['sonar_disable_ie_css3'])&&  ($sonar_options['sonar_disable_ie_css3']!="")) echo ('');
else { ?>
<!--[if lte IE 8]>
<style type="text/css" media="screen">
.home .sticky, h3.widget-title, .format-status img.avatar, .home .hentry.format-aside, .home .hentry.category-asides,
.commentlist .avatar, #respond, #respond input[type="text"], #respond textarea, #respond input#submit, .read-more, .t-wrap #s,
.calendar, .calendar  .month , .calendar  .day 
{behavior: url(<?php echo get_template_directory_uri(); ?>/js/ie-pie/PIE.php); position:relative; }
</style>
<![endif]--> 
<?php } 
 // html5shiv MIT @rem remysharp.com/html5-enabling-script ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php
			//* More superfish
	if ( isset ($sonar_options['sonar_remove_superfish']) &&  ($sonar_options['sonar_remove_superfish']!="") ) {
	echo ' ';}
	else {
	echo("<script>
	jQuery(function(){jQuery('ul.sf-menu').superfish({animation: {opacity:'show',height:'show'}, speed: 'fast'});});
	</script>\n");
	}
echo("\n<!-- End of Theme options -->\n");
}
add_action('wp_head', 'sonar_wp_head');					/* action for post wp_head */
?>