<?php
/**
 * Template Name: Sitemap
 *
 * Displays an HTML-based sitemap for your site.
 *
 */
get_header(); ?>
<div id="body-top"></div>
<div id="wrapper" class="hfeed">
	<div id="main">

		<div id="container">
			<div id="content" role="main">
				<div class="sonar-sitemap-heading">
					<h3>Pages</h3>
				</div>
				<div class="sonar-sitemap-body">
					<ul><?php wp_list_pages("title_li=" ); ?></ul>
				</div>
				<div class="sonar-sitemap-heading">
					<h3>Feeds</h3>
				</div>
				<div class="sonar-sitemap-body">
					<ul>
						<li><a title="Full content" href="feed:<?php bloginfo('rss2_url'); ?>">Main RSS</a></li>
						<li><a title="Comment Feed" href="feed:<?php bloginfo('comments_rss2_url'); ?>">Comment Feed</a></li>
					</ul>
				</div>
				<div class="sonar-sitemap-heading">
					<h3>Categories</h3>
				</div>
				<div class="sonar-sitemap-body">
					<ul><?php wp_list_categories('sort_column=name&optioncount=1&hierarchical=0'); ?></ul>
				</div>
				<div class="sonar-sitemap-heading">
					<h3>Blog Posts:</h3>
				</div>
				<div class="sonar-sitemap-body">
					<ul><?php $archive_query = new WP_Query('showposts=1000&cat=-8');
						while ($archive_query->have_posts()) : $archive_query->the_post(); ?>
							<li>
								<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a>
								(<?php comments_number('0', '1', '%'); ?>)
							</li>
						<?php endwhile; ?>
					</ul>
				</div>
				<div class="sonar-sitemap-heading">
					<h3>Archives</h3>
				</div>
				<div class="sonar-sitemap-body">
					<ul>
						<?php wp_get_archives('type=monthly&show_post_count=true'); ?>
					</ul>
				</div>
			</div><!-- #content -->
		</div><!-- #container -->
		
<?php get_sidebar(); ?>
	</div><!-- #main -->

	<footer id="footer" role="contentinfo">
<?php get_footer(); ?>